%%% This file is meant for anyone to edit!

% Some quick notes about S-Lang...
% First, if you have Jed, you'll find it edits these files pretty easily.
% Secondly, lines beginning with % are comments.
%  To UNcomment something, remove the leading %.
%  If you're using Jed in colour, it'll change the highlighting.
% Thirdly, S-Lang is stuffy about spacing. When in doubt, leave too much and 
%  you'll be fine.

%%% Uncomment the line below, and edit it to change the default IRC server.

%%% The default will be the 1st in the list.
%%% Format of each line is "irc-server:port:password:nick"
%() = s_putlast(servers,"localhost:6667::ArgVil");
%() = s_putlast(servers,"irc.demon.co.uk:6669::dwd");
%() = s_putlast(servers,"irc.us.linux.org:6667::orbatz");
%() = s_putlast(servers,"irc.u-net.com:6667::orbats");
%() = s_putlast(servers,"irc.cifnet.com:6667::SLirc");
%() = s_putlast(servers,"irc.cifnet.com:6667::orbats");
() = s_putlast(servers,"irc.insat.com:6667::orbatz");
() = s_putlast(servers,"irc.stealth.net:6667::orbatz");
() = s_putlast(servers,"chat.bt.net:6667::orbats");
() = s_putlast(servers,"irc.funet.fi:6667::orbats2");
() = s_putlast(servers,"irc.anet.com:6667::orbats");
() = s_putlast(servers,"irc.u-net.com:6667::orbatzy");
() = s_putlast(servers,"irc.dal.net:7000::orbats");
() = s_putlast(servers,"irc.chat.org:6667::ArgVil");
() = s_putlast(servers,"atlanta.ga.us.undernet.org:6667::ArgVil");
() = s_putlast(servers,"irc.insat.com:6667::orbats");
() = s_putlast(servers,"irc.ec-lille.fr:6667::ArgVil");
() = s_putlast(servers,"irc.ced.chalmers.se:6667::ArgVil");
() = s_putlast(servers,"irc.chat.org:6667::ArgVil");
() = s_putlast(servers,"irc.sprynet.com:6667::ArgVil");
() = s_putlast(servers,"irc.psinet.com:6667::ArgVil");
() = s_putlast(servers,"atlanta.ga.us.some.net:6667::orbats");
() = s_putlast(servers,"irc2.megsinet.net:6667::stabro");


%%% location of the slirc.hlp file:
variable slirc_hlp = "scripts/slirc.hlp";

variable mode_on_connect = "+i";
%%% Uncomment next one to auto-join your favorite channel:
variable chan_on_connect = "#linux"; %"#france";

%%% Uncomment the line below if you DON'T want beep on message.
%beep_on_msg = 0

%%% Uncomment the line below if you want colours.
() = evalfile("colours.sl");
irc_set_pm(progress, 40);
irc_update_display();
%%% Drop in
%%% If you feel really clever, edit the file "colour.sl" to change the colours.

%%% The library routines held here are called by several other things.
() = evalfile("lists.sl"); % Required
irc_set_pm(progress, 50);
irc_update_display();

%%% The editor, and supporting library.
() = evalfile("editor.sl");

%%% Uncomment the next if you want to use <esc-N> to do FUNC-N
% setup_func_keys("\e");

irc_set_pm(progress, 60);
irc_update_display();

%%% Similarly to the above, you can put any extension packs you like in here.
%%% For example:
%() = evalfile("ak47.sl"); % Drop in
() = evalfile("flip.sl"); % Drop in
irc_set_pm(progress, 70);
irc_update_display();
% () = evalfile("bot-kernel.sl"); % drop in
() = evalfile("tab-ex.sl"); % Drop in
() = evalfile("op-stuff.sl"); % Drop in
% () = evalfile("hackmode.sl"); % Scary drop in - prolly want to remove this.
irc_set_pm(progress, 80);
irc_update_display();

%%% Finally, you'll almost certainly need the standard pack.
%%% So I've stuck it in by default... Comment it out if you don't want it.
%%% You'll need to write your own, though.
() = evalfile("standard.sl");
irc_set_pm(progress, 90);
irc_update_display();
